I've just received an email from someone who's getting link errors while 
trying to compile my DBP plugin on the following setup:

system Fedora FC6
2.6.20-1.2944.fc6 x86_64 GNU/Linux
running gimp 2.2.14
gimp devel is installed

The DBP makefile uses "gimptool-2.0 --cflags --libs" to get the compile 
and link options. His compile line looks plausible:

g++ -o dbp -Wall -O2 -I. *.cc -I/usr/include/gimp-2.0 
-I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include 
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include 
-I/usr/include/freetype2 -I/usr/include/libpng12 -L/usr/lib64 
-lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 
-lgimpbase-2.0 -L/lib64 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 
-lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 
-lgmodule-2.0 -ldl -lglib-2.0 -DGIMP_DISABLE_DEPRECATED 
-DGTK_DISABLE_DEPRECATED

But gives this error:

/usr/lib64/libgimpui-2.0.a(gimpui.o): In function `gimp_ensure_modules':
(.text+0x18f): undefined reference to `gimp_module_db_new'
/usr/lib64/libgimpui-2.0.a(gimpui.o): In function `gimp_ensure_modules':
(.text+0x1a1): undefined reference to `gimp_module_db_set_load_inhibit'
/usr/lib64/libgimpui-2.0.a(gimpui.o): In function `gimp_ensure_modules':
(.text+0x1b0): undefined reference to `gimp_module_db_load'
collect2: ld returned 1 exit status

I haven't seen this before, and Google is unhelpful - any thoughts?

-- 
David Hodson  --  this night wounds time
_______________________________________________
Gimp-developer mailing list
Gimp-developer@lists.XCF.Berkeley.EDU
https://lists.XCF.Berkeley.EDU/mailman/listinfo/gimp-developer

Reply via email to